export declare enum CHANGE_TYPE {
    CREATE = "create",
    UPDATE = "update",
    DELETE = "delete"
}
export default class ChangesSummary {
    private readonly _changes;
    private readonly _newVersions;
    constructor();
    addChange(changeType: CHANGE_TYPE, apiName: string, functionName: string, newVersion: string): void;
    getNewVersion(apiName: string, functionName: string): string | undefined;
    hasChanges(): CHANGE_TYPE | undefined;
    getChangesSummary(): string;
}
